#!/usr/bin/python2
# blueberry - A Bluetooth configuration tool
# Copyright (C) 2015 Clement Lefebvre <root@linuxmint.com>
#
# This program is free software: you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation, either version 3 of the License, or
# (at your option) any later version.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program.  If not, see <http://www.gnu.org/licenses/>.

from gi.repository import Gio

SETTINGS_SCHEMA = "org.blueberry"
TRAY_KEY = "tray-enabled"

class Settings():
    def __init__(self):
        self.gsettings = Gio.Settings.new(SETTINGS_SCHEMA)

    def get_tray_enabled(self):
        return self.gsettings.get_boolean(TRAY_KEY)

    def set_tray_enabled(self, enabled):
        self.gsettings.set_boolean(TRAY_KEY, enabled)



